MRWParserInternal::Zone Struct Reference

Internal: the struct used to store the zone of a MRWParser. More...

## Public Types

enum | Type { Z_Main, Z_Footnote, Z_Header, Z_Footer, Z_Unknown }
| a enum to define the diffent zone type More...

## Public Member Functions

| Zone ()
| constructor More...

## Public Attributes

int | m_id
| the zone id More...
uint32_t | m_fileId
| the file zone id More...
Type | m_type
| the zone type More...
bool | m_endNote
| a flag to know if this an endnote More...
long | m_height
| height of the zone More...
Vec2l | m_RBpos
| rigth/bottom position More...
Box2l | m_dim
| the zone total position More...
Box2i | m_pageDim
| the page dimension (?) More...
Box2i | m_pageTextDim
| the zone of text dimension ( ie page less margins) More...
MWAWSection | m_section
| the section More...
MWAWColor | m_backgroundColor
| the background color More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<< More...

## Detailed Description

Internal: the struct used to store the zone of a MRWParser.

## Member Enumeration Documentation

enum MRWParserInternal::Zone::Type

a enum to define the diffent zone type

Enumerator
Z_Main |
Z_Footnote |
Z_Header |
Z_Footer |
Z_Unknown |

## Constructor & Destructor Documentation

MRWParserInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | zone
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor MRWParserInternal::Zone::m_backgroundColor

the background color

Referenced by MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

Box2l MRWParserInternal::Zone::m_dim

the zone total position

Referenced by MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

bool MRWParserInternal::Zone::m_endNote

a flag to know if this an endnote

Referenced by MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

std::string MRWParserInternal::Zone::m_extra

extra data

Referenced by MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

uint32_t MRWParserInternal::Zone::m_fileId

the file zone id

Referenced by MRWParser::createDocument(), MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

long MRWParserInternal::Zone::m_height

height of the zone

Referenced by MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

int MRWParserInternal::Zone::m_id

the zone id

Box2i MRWParserInternal::Zone::m_pageDim

the page dimension (?)

Box2i MRWParserInternal::Zone::m_pageTextDim

the zone of text dimension ( ie page less margins)

Vec2l MRWParserInternal::Zone::m_RBpos

rigth/bottom position

Referenced by MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

MWAWSection MRWParserInternal::Zone::m_section

the section

Type MRWParserInternal::Zone::m_type

the zone type

Referenced by MRWParser::createDocument(), MRWParserInternal::operator<<(), and MRWParser::readZoneHeader().

The documentation for this struct was generated from the following file:

- MRWParser.cxx